module ApplicationHelper
  def alert_box(kind, message, label = nil, link = nil)
    case kind
    when :success
      raw("<div class='alert success'>
        <p class='pr-4'>
          <svg xmlns='http://www.w3.org/2000/svg' class='h-6 w-6' fill='none' viewBox='0 0 24 24' stroke='currentColor' stroke-width='2'>
            <path stroke-linecap='round' stroke-linejoin='round' d='M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z' />
          </svg>
        </p>
        <div class='flex-1'>#{message}</div>
        <a href='#{link}'>#{label}</a>
      </div>")
    when :warning
      raw("<div class='alert warning'>
        <p class='pr-4'>
          <svg xmlns='http://www.w3.org/2000/svg' class='h-6 w-6' fill='none' viewBox='0 0 24 24' stroke='currentColor' stroke-width='2'>
            <path stroke-linecap='round' stroke-linejoin='round' d='M12 9v2m0 4h.01m-6.938 4h13.856c1.54 0 2.502-1.667 1.732-3L13.732 4c-.77-1.333-2.694-1.333-3.464 0L3.34 16c-.77 1.333.192 3 1.732 3z' />
          </svg>
        </p>
        <div class='flex-1'>#{message}</div>
        <div><a href='#{link}'>#{label}</a></div>
      </div>")
    when :danger
      raw("<div class='alert danger'>
        <p class='pr-4'>
          <svg xmlns='http://www.w3.org/2000/svg' class='h-6 w-6' fill='none' viewBox='0 0 24 24' stroke='currentColor' stroke-width='2'>
            <path stroke-linecap='round' stroke-linejoin='round' d='M10 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2m7-2a9 9 0 11-18 0 9 9 0 0118 0z' />
          </svg>
        </p>
        <div class='flex-1'>#{message}</div>
        <a href='#{link}'>#{label}</a>
      </div>")
    else
      raw("<div class='alert'>
        <p class='pr-4'>
          <svg xmlns='http://www.w3.org/2000/svg' class='h-6 w-6' fill='none' viewBox='0 0 24 24' stroke='currentColor' stroke-width='2'>
            <path stroke-linecap='round' stroke-linejoin='round' d='M13 16h-1v-4h-1m1-4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z' />
          </svg>
        </p>
        <div class='flex-1'>#{message}</div>
        <a href='#{link}'>#{label}</a>
      </div>")
    end
  end
end
